<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ciclos</title>
</head>
<body>
    <h1>Formularios</h1>


    <form>
        <label for="nombre">Nombre</label>
        <input type="text" id="nombre" value="">
        <br>
        <label for="apellido">Apellido</label>
        <input type="text" id="apellido" value="">
        <br>
        <label for="edad">Edad</label>
        <input type="number" id="edad" value="">
        <br>
        <label for="email">Email</label>
        <input type="email" id="email" value="">
        <br>
        
        Sexo: <br>
        <label for="sexo1">Masculino</label>
        <input type="radio" name="sexo" id="sexo1" class="genero" value="Masculino"><br>
        <label for="sexo1">Femenino</label>
        <input type="radio" name="sexo" id="sexo2" class="genero" value="Femenino"><br>
        <label for="sexo1">Otro</label>
        <input type="radio" name="sexo" id="sexo3" class="genero" value="Otro"><br>

        <label for="comentarios">Comentarios</label>
        <textarea name="comentarios" id="comentarios" cols="30" rows="10"></textarea>

        <button type="button" id="btn-enviar">Enviar</button>
        <button type="reset">Cancelar</button>
    </form>

    <script>
        document.getElementById("btn-enviar").addEventListener("click", function() {
            console.log(" me hicieron click ...");

            const nombre = document.getElementById("nombre").value;

            console.log(nombre);

            const inputsGenero = document.getElementsByClassName("genero")

            // Esto crea un vector con los elementos

            // console.log(inputsGenero);

            for(let i = 0; i < inputsGenero.length; i++){
                
                // console.log("Input", i);
                // console.log(inputsGenero[i]);

                const input = inputsGenero[i];

                if(input.checked === true){
                    console.log(input.value);
                }


            }

        })
    </script>

</body>
</html>